Skip to main content
`Ctrl`+`K`

# TSGetStepNumber

Gets the number of time steps completed.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetStepNumber(TS ts, PetscInt *steps)

Not Collective

## Input Parameter

- ts - the `TS` context obtained from `TSCreate()`

## Output Parameter

- steps - number of steps completed so far

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSGetTime()`, `TSGetTimeStep()`, `TSSetPreStep()`, `TSSetPreStage()`, `TSSetPostStage()`, `TSSetPostStep()`

## Level

intermediate

## Location

src/ts/interface/ts.c

## Examples

src/ts/tutorials/ex13.c
src/ts/tutorials/ex26.c
src/ts/tutorials/ex1.c
src/ts/tutorials/ex10.c
src/ts/tutorials/ex11.c
src/ts/tutorials/ex14.c
src/ts/tutorials/ex12.c
src/ts/tutorials/ex16.c
src/ts/tutorials/ex16fwd.c
src/ts/tutorials/ex9.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages